View Issue Details

IDProjectCategoryView StatusLast Update
0000096Bacula-Webbug-mysqlpublic2013-11-19 15:05
Reporterpelzi71Assigned Todavide 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx32OSUbuntu ServerOS Version12.04
Product Version5.2.13 
Target Version5.2.13-1Fixed in Version5.2.13-1 
Summary0000096: SQLSTATE[22003]: Numeric value out of range: 1690 BIGINT UNSIGNED value is out of range
DescriptionWhen calling the main- page on my system the following error is logged:

Database error
File /var/www/bacula-web/core/db/cdbutils.class.php
Line 79
Exception code 22003
Exception message SQLSTATE[22003]: Numeric value out of range: 1690 BIGINT UNSIGNED value is out of range in '((`information_schema`.`TABLES`.`DATA_LENGTH` + `information_schema`.`TABLES`.`INDEX_LENGTH`) - `information_schema`.`TABLES`.`DATA_FREE`)'

Exception trace
File: /var/www/bacula-web/core/db/cdbutils.class.php on line 79 in function PDOStatement->execute
File: /var/www/bacula-web/application/models/database.model.php on line 50 in function CDBUtils::runQuery
File: /var/www/bacula-web/index.php on line 42 in function Database_Model::get_Size
TagsNo tags attached.

Activities

davide

2013-04-15 11:04

manager   ~0000240

Hi,

What's your MySQL version ?

Was bacula-web 5.2.12 working fine ?

Thanks for your feedback

Regards

maschlosser

2013-04-16 17:16

reporter   ~0000241

I had the same problem.
Running MySQL 5.5.29-0ubuntu0.12.04.1
Version 5.2.12 is working fine.

davide

2013-04-17 12:04

manager   ~0000242

I'm going to publish a bugfix version which will fix this bug

Thanks for your feedback

pelzi71

2013-04-18 15:56

reporter   ~0000243

Last edited: 2013-04-18 15:57

View 3 revisions

I have also version 5.2.12 and mysql 5.5.29 on Ubuntu Server 12.04 LTS.

I have fixed the problem by disable line 42 in index.php.

davide

2013-04-21 13:09

manager   ~0000247

Fixed in version 5.2.13-1

davide

2013-11-19 15:05

manager   ~0000307

Issue closed

Issue History

Date Modified Username Field Change
2013-04-08 10:55 pelzi71 New Issue
2013-04-15 11:04 davide Note Added: 0000240
2013-04-15 11:04 davide Assigned To => davide
2013-04-15 11:04 davide Status new => feedback
2013-04-16 17:16 maschlosser Note Added: 0000241
2013-04-17 12:04 davide Note Added: 0000242
2013-04-18 15:56 pelzi71 Note Added: 0000243
2013-04-18 15:56 pelzi71 Status feedback => assigned
2013-04-18 15:57 pelzi71 Note Edited: 0000243 View Revisions
2013-04-18 15:57 pelzi71 Note Edited: 0000243 View Revisions
2013-04-21 13:08 davide Product Version => 5.2.13
2013-04-21 13:08 davide Target Version => 5.2.13-1
2013-04-21 13:09 davide Note Added: 0000247
2013-04-21 13:09 davide Status assigned => resolved
2013-04-21 13:09 davide Fixed in Version => 5.2.13-1
2013-04-21 13:09 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000307